#include "fudgeish.hpp"


#include <sstream>
#include <iostream>

void show_help( char const * appname )
{
	std::cout << "Usage:\n\t" << appname << " #\n"
		  << "where # is a positive integer specifying a number of Fudge dice to roll (default is 4 dice)\n";
}

int main( int argc, char ** argv )
{

	int count = 4;
	if( argc>1 )
	{
		int i = 1;
		std::string arg( argv[i] );
		if( arg.size() && ('-' == arg[0]) )
		{
			show_help( argv[0] );
			return 0;
		}
		std::istringstream is( arg );
		is >> count;
	}

	using namespace fudge;
	DiceBag bag( count );
	bag.roll();
	std::cout << bag << std::endl;
	return 0;
}
